/*
 * Simple wrappers around libhistory to stub out unavailable functions.
 * Copyright © 2012 Nick Bowler
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#if HAVE_READLINE_HISTORY_H
#  include <readline/history.h>
#endif

#if HAVE_RL_ADD_HISTORY
static inline void cdecl_add_history(const char *str)
{
	add_history(str);
}
#else
static inline void cdecl_add_history(const char *str)
{
}
#endif
